Skip to main content
Version: API v1

Vertrag - Liefert einen bestimmten Vertrag

GET/v1/gdpr/contracts/{contractIdentifier}
API version
v1
Request method
GET
Operation ID
getGDPRContract

Liefert die Daten eines bestimmten Vertrages

Request​

  • contractIdentifierstring
    required

    Die ID des Vertrages

Responses​

Format
application/json
Description

Der gewünschte Vertrag

  • creationDatestring (datetime)

    Das Erstelldatum im UTC Format

  • tomobject
    • contentstring
    • creationDatestring (datetime)

      Das Erstelldatum im UTC Format

  • clientobject
    • namestring
      required
    • streetstring
      required
    • houseNumberstring
      required
    • zipCodestring
      required
    • citystring
      required
    • mailstring
      required
    • creationDatestring (datetime)

      Das Erstelldatum im UTC Format

    • typestring

      Ein frei wählbarer Typ, der optional angegeben werden kann.

  • recipientobject
    • namestring
      required
    • streetstring
      required
    • houseNumberstring
      required
    • zipCodestring
      required
    • citystring
      required
    • mailstring
      required
    • creationDatestring (datetime)

      Das Erstelldatum im UTC Format

    • typestring

      Ein frei wählbarer Typ, der optional angegeben werden kann.

  • htmlstring

    Der Inhalt des Vertrages in Form von HTML

  • confirmationDatestring (datetime)

    Das Datum (im UTC Format), zu dem der Vertrag angenommen wurde

  • sentDatestring (datetime)

    Das Datum (im UTC Format), zu dem der Vertrag zuletzt via E-Mail versendet wurde

  • reminderSentDatestring (datetime)

    Das Datum (im UTC Format), zu dem automatisiert eine Erinnerungsmail versendet wurde

  • isPartnerContractboolean
  • contractSignerstring

    Der vollständige Name des Vertragsunterzeichners

Content-Type: application/json

{
"creationDate": "string",
"tom": {
"content": "string",
"creationDate": "string"
},
"client": {
"name": "string",
"street": "string",
"houseNumber": "string",
"zipCode": "string",
"city": "string",
"mail": "string",
"creationDate": "string",
"type": "string"
},
"recipient": {
"name": "string",
"street": "string",
"houseNumber": "string",
"zipCode": "string",
"city": "string",
"mail": "string",
"creationDate": "string",
"type": "string"
},
"html": "string",
"confirmationDate": "string",
"sentDate": "string",
"reminderSentDate": "string",
"isPartnerContract": true,
"contractSigner": "string"
}
{
"title": "GDPRContract",
"type": "object",
"properties": {
"creationDate": {
"type": "string",
"description": "Das Erstelldatum im UTC Format",
"format": "datetime"
},
"tom": {
"title": "GDPRTom",
"type": "object",
"properties": {
"content": {
"type": "string"
},
"creationDate": {
"type": "string",
"description": "Das Erstelldatum im UTC Format",
"format": "datetime"
}
}
},
"client": {
"title": "GDPRContact",
"required": [
"city",
"houseNumber",
"mail",
"name",
"street",
"zipCode"
],
"type": "object",
"properties": {
"name": {
"type": "string"
},
"street": {
"type": "string"
},
"houseNumber": {
"type": "string"
},
"zipCode": {
"type": "string"
},
"city": {
"type": "string"
},
"mail": {
"type": "string"
},
"creationDate": {
"type": "string",
"description": "Das Erstelldatum im UTC Format",
"format": "datetime"
},
"type": {
"type": "string",
"description": "Ein frei wählbarer Typ, der optional angegeben werden kann."
}
}
},
"recipient": {
"title": "GDPRContact",
"required": [
"city",
"houseNumber",
"mail",
"name",
"street",
"zipCode"
],
"type": "object",
"properties": {
"name": {
"type": "string"
},
"street": {
"type": "string"
},
"houseNumber": {
"type": "string"
},
"zipCode": {
"type": "string"
},
"city": {
"type": "string"
},
"mail": {
"type": "string"
},
"creationDate": {
"type": "string",
"description": "Das Erstelldatum im UTC Format",
"format": "datetime"
},
"type": {
"type": "string",
"description": "Ein frei wählbarer Typ, der optional angegeben werden kann."
}
}
},
"html": {
"type": "string",
"description": "Der Inhalt des Vertrages in Form von HTML"
},
"confirmationDate": {
"type": "string",
"description": "Das Datum (im UTC Format), zu dem der Vertrag angenommen wurde",
"format": "datetime"
},
"sentDate": {
"type": "string",
"description": "Das Datum (im UTC Format), zu dem der Vertrag zuletzt via E-Mail versendet wurde",
"format": "datetime"
},
"reminderSentDate": {
"type": "string",
"description": "Das Datum (im UTC Format), zu dem automatisiert eine Erinnerungsmail versendet wurde",
"format": "datetime"
},
"isPartnerContract": {
"type": "boolean"
},
"contractSigner": {
"type": "string",
"description": "Der vollständige Name des Vertragsunterzeichners"
}
}
}

Usage examples​

$ curl \
--fail \
--location \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v1/gdpr/contracts/string

On this page